Skip to main content
POST
Download content as XLIFF synchronously

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string
default:""

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-ResponseType
enum<string>
default:ID

Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.

Available options:
ID,
OBJECT

Body

application/json

Request body for downloading one Document360 article in one language as XLIFF 2.0. The connector downloads the raw article and converts it in a second step.

credentials
object
required

Connection holding the Document360 API key and host.

path
object
required

The article to download (ARTICLE with projectId and articleId).

sourceLocale
string
default:""
required

Language of the article version to download; also the XLIFF source locale (locale code, e.g. en).

Minimum string length: 1
Example:

"en"

configuration
object

Document360 settings; may be omitted (connector defaults apply).

Example:
{key}
any

Response

OK — XLIFF binary stream (returned when X-ResponseType=OBJECT).

The response is of type file.